MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001235XdebugInstallationpublic2015-12-15 08:242016-01-25 21:59
Reportersebastian 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS Version
Product Version2.4.0rc3 
Target VersionFixed in Version2.4.0rc4 
Summary0001235: Xdebug does not compile against PHP 7.1-dev
Description/bin/sh /usr/local/src/php/xdebug/libtool --mode=compile ccache gcc -I. -I/usr/local/src/php/xdebug -DPHP_ATOM_INC -I/usr/local/src/php/xdebug/include -I/usr/local/src/php/xdebug/main -I/usr/local/src/php/xdebug -I/usr/local/php-7.1/include/php -I/usr/local/php-7.1/include/php/main -I/usr/local/php-7.1/include/php/TSRM -I/usr/local/php-7.1/include/php/Zend -I/usr/local/php-7.1/include/php/ext -I/usr/local/php-7.1/include/php/ext/date/lib -DHAVE_CONFIG_H -march=native -mtune=native -fPIC -pipe -O0 -c /usr/local/src/php/xdebug/xdebug_code_coverage.c -o xdebug_code_coverage.lo
 ccache gcc -I. -I/usr/local/src/php/xdebug -DPHP_ATOM_INC -I/usr/local/src/php/xdebug/include -I/usr/local/src/php/xdebug/main -I/usr/local/src/php/xdebug -I/usr/local/php-7.1/include/php -I/usr/local/php-7.1/include/php/main -I/usr/local/php-7.1/include/php/TSRM -I/usr/local/php-7.1/include/php/Zend -I/usr/local/php-7.1/include/php/ext -I/usr/local/php-7.1/include/php/ext/date/lib -DHAVE_CONFIG_H -march=native -mtune=native -fPIC -pipe -O0 -c /usr/local/src/php/xdebug/xdebug_code_coverage.c -fPIC -DPIC -o .libs/xdebug_code_coverage.o
/usr/local/src/php/xdebug/xdebug_code_coverage.c: In function ‘xdebug_is_static_call’:
/usr/local/src/php/xdebug/xdebug_code_coverage.c:169:98: error: ‘ZEND_FETCH_STATIC_MEMBER’ undeclared (first use in this function)
  if (((opcode_ptr->opcode == ZEND_FETCH_W) || (opcode_ptr->opcode == ZEND_FETCH_RW)) && opcode_ptr->extended_value == ZEND_FETCH_STATIC_MEMBER) {
                                                                                                  ^
/usr/local/src/php/xdebug/xdebug_code_coverage.c:169:98: note: each undeclared identifier is reported only once for each function it appears in
Makefile:230: recipe for target 'xdebug_code_coverage.lo' failed
make: *** [xdebug_code_coverage.lo] Error 1
TagsNo tags attached.
Operating System
PHP Version7.1-dev
Attached Files

- Relationships
has duplicate 0001237resolvedderick Xdebug doesn't compile with PHP 7.1 - dev 

-  Notes
(0003346)
derick (administrator)
2015-12-15 09:46

Ugh... here the changes start again. It's not going to be a trivial fix, so it needs a little bit more investigation before I can fix it. PHP 7 stuff first though :-/
(0003368)
derick (administrator)
2015-12-20 20:26

Fixed in the way that it compiles now, but there is still an issue related to CATCH and code coverage:

http://bugs.xdebug.org/view.php?id=1239 [^]

- Issue History
Date Modified Username Field Change
2015-12-15 08:24 sebastian New Issue
2015-12-15 09:46 derick Note Added: 0003346
2015-12-17 23:46 derick Relationship added has duplicate 0001237
2015-12-20 20:26 derick Note Added: 0003368
2015-12-20 20:26 derick Status new => closed
2015-12-20 20:26 derick Assigned To => derick
2015-12-20 20:26 derick Resolution open => fixed
2015-12-20 20:26 derick Fixed in Version => 2.4.0
2016-01-25 21:59 derick Fixed in Version 2.4.0 => 2.4.0rc4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker